#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.0
visibility:           public
id:                   lsp-1.2.0.0-AT9vlPriKBk4OgZscwd8TV
key:                  lsp-1.2.0.0-AT9vlPriKBk4OgZscwd8TV
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  94313ebf0e296b443dfb31515784b145
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.2.0.0-1u8fs50cHeUHIYyLFAe5cW:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-1u8fs50cHeUHIYyLFAe5cW:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.2.0.0-1u8fs50cHeUHIYyLFAe5cW:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.2.0.0-1u8fs50cHeUHIYyLFAe5cW:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-1.2.0.0
hs-libraries:         HSlsp-1.2.0.0-AT9vlPriKBk4OgZscwd8TV
depends:
    aeson-1.5.6.0-GIQJC9Q2rpHALuS1rMMxmB
    async-2.2.3-57PLUXY4ctk1KZGAGRzSFX
    attoparsec-0.14.1-2MziTIklWOmCSBHLN0oTGn base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn
    dependent-map-0.4.0.0-67JjdzQOSoe2sR5FV5YrFZ directory-1.3.6.1
    filepath-1.4.2.1 hashable-1.3.2.0-FeHuXTZofY1HfsvuXYo4tc
    hslogger-1.3.1.0-1zVQWwmpPagFkR82MTMiju
    lens-5.0.1-7uwGazddQIh4hNwEzPLRik
    lsp-types-1.2.0.0-1u8fs50cHeUHIYyLFAe5cW mtl-2.2.2
    network-uri-2.6.4.1-8XTF82YKl805nektk7V97g
    random-1.2.0-JDF9Y4xQ0dvLlaIUi5AArV
    scientific-0.3.7.0-EPSIjBVSbdO587vpGv1Ekl
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-A8FnkciaL1YDWhREYvj1Se
    uuid-1.3.15-EomduUb0ykpKFPoCryoj0V

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

